# Class FormSubmitDirective

#### Hierarchy

- ConfirmClick
  - FormSubmitDirective

#### Implements

- OnDestroy

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:33

#####
Index

### Constructors

constructor

### Properties

afterSubmit
navigateAfterSubmit?
type

### Accessors

hasConfirmDirective
resetAfterSubmit

### Methods

execute
ngOnDestroy
onClick
onConfirm

##
Constructors

### constructor

- new FormSubmitDirective(
  formDirective: FormDirective,
  router?: null | Router,
  ): FormSubmitDirective

  #### Parameters

  - formDirective: FormDirective
  - router: null | Router = null

  #### Returns FormSubmitDirective

  Overrides ConfirmClick.constructor

  - Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:54

##
Properties

### afterSubmit

afterSubmit: EventEmitter<any> = ...

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:48

### `Optional` navigateAfterSubmit

navigateAfterSubmit?: string[]

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:45

### type

type: string = 'button'

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:37

##
Accessors

### hasConfirmDirective

- set hasConfirmDirective(value: any): void

  #### Parameters

  - value: any

  #### Returns void

  Inherited from ConfirmClick.hasConfirmDirective

  - Defined in packages/angular/directives/src/lib/confirm-click.ts:14

### resetAfterSubmit

- set resetAfterSubmit(value: boolean | ""): void

  #### Parameters

  - value: boolean | ""

  #### Returns void

  - Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:40

##
Methods

### `Protected` execute

- execute(): void

  #### Returns void

  Overrides ConfirmClick.execute

  - Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:63

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:89

### onClick

- onClick(): void

  #### Returns void

  Inherited from ConfirmClick.onClick

  - Defined in packages/angular/directives/src/lib/confirm-click.ts:19

### onConfirm

- onConfirm(): void

  #### Returns void

  Inherited from ConfirmClick.onConfirm

  - Defined in packages/angular/directives/src/lib/confirm-click.ts:26